Bug 20056 - [XT3TS] schema validation errors
[XT3TS] schema validation errors
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XSLT 3.0 Test Suite
Working drafts
PC Windows 3.1
: P2 normal
: ---
Assigned To: Abel Braaksma
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 10:59 UTC by Tim Mills
Modified: 2012-12-13 10:46 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2012-11-23 10:59:21 UTC
The following files are invalid with respect to the schema.  A quick look indicated that some tests have multiple assertions without being inside any-of  or all-of elements.

tests/attr/streamable/_streamable-test-set.xml

tests/attr/strip-type-annotations/_strip-type-annotations-test-set.xml

tests/attr/use-when/_use-when-test-set.xml

tests/expr/expression/_expression-test-set.xml

tests/fn/id/_id-test-set.xml

tests/type/namespace/_namespace-test-set.xml
Comment 1 Michael Kay 2012-12-11 22:35:31 UTC
I believe these are all now fixed. And I've fixed a couple of others that crept in meanwhile. At the time of writing, test catalog-001 passes, which means all catalog files are valid.
Comment 2 Tim Mills 2012-12-13 10:46:57 UTC
Thanks.